/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

// Ametys Namespace
Ext.namespace('org.ametys.web.administration');

org.ametys.web.administration.SitesXmlLoader = Ext.extend(org.ametys.tree.XmlTreeLoader, {});

org.ametys.web.administration.SitesXmlLoader.prototype.processResponse = function(response, node, callback) 
{
	this._nodeTags = {};
	this._nodeTags['site'] = '';
	
	org.ametys.web.administration.SitesXmlLoader.superclass.processResponse.call(this, response, node, callback);
}

org.ametys.web.administration.SitesXmlLoader.prototype.processAttributes = function(attr)
{
	org.ametys.web.administration.SitesXmlLoader.superclass.processAttributes.call(this, attr);
	
	attr.text = attr.title;
	attr.htmlDesc = attr.description ? attr.description.replace('\n', '<br/>') : "";
	
	if (attr['configuration-valid'] != "true" && attr.type != 'root')
	{
		attr.icon = context.contextPath + attr['invalid-iconSmall'];
		attr.iconLarge = context.contextPath + attr['invalid-iconLarge'];
	}
	else
	{
		attr.icon = context.contextPath + attr.iconSmall;
		attr.iconLarge = context.contextPath + attr.iconLarge;
	}
}

org.ametys.web.administration.SitesXmlLoader.prototype.createNode = function(node) 
{
	var attr = {
		tagName :node.tagName
	};

	Ext.each(node.attributes, function(a) {
		attr[a.nodeName] = a.nodeValue;
	});
	
	this._currentXMLNode = node;
	this.processAttributes(attr);
	delete this._currentXMLNode;
	
	if (this.baseAttrs)
    {
        Ext.applyIf(attr, this.baseAttrs);
    }
    if (this.applyLoader !== false)
    {
        attr.loader = this;
    }
    if (typeof attr.uiProvider == 'string')
    {
       attr.uiProvider = this.uiProviders[attr.uiProvider] || eval(attr.uiProvider);
    }
    
    if (attr.tagName == "site")
    {
    	return new Ext.tree.AsyncTreeNode(attr);
    }
    else
    {
    	return new Ext.tree.TreeNode(attr);
    }
}
