/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.web.widget');

//Register widget
org.ametys.utils.Widgets.registerWidget ('string', 'content-tags', 'org.ametys.web.widget.ContentTagsWidget');
org.ametys.utils.Widgets.registerWidget ('string', 'content-tags-edition', 'org.ametys.web.widget.ContentTagsEditionWidget');

/**
 * @class This class provides a widget input for select tags of type 'CONTENT'.<br/>
 * Use the {@link org.ametys.web.TagsWidget#multiple} configuration option to allow multi-selection.<br/>
 * @extends Ext.form.TextField
 * Creates a {@link org.ametys.web.widget.ContentTagsWidget} widget field.
 * @xtype contenttagfield
 */
org.ametys.web.widget.ContentTagsWidget = function(config) 
{
	org.ametys.web.widget.ContentTagsWidget.superclass.constructor.call(this, config);
}; 

Ext.extend(org.ametys.web.widget.ContentTagsWidget, org.ametys.web.widget.TagsWidget, {
	targetType: 'CONTENT',
	xtype: 'contenttagfield'
});

/**
 * @class This class provides a widget input for select tags of type 'CONTENT'.<br/>
 * Use the {@link org.ametys.web.TagsWidget#multiple} configuration option to allow multi-selection.<br/>
 * @extends Ext.form.TextField
 * Creates a {@link org.ametys.web.widget.ContentTagsEditionWidget} widget field.
 * @xtype contenttagfield
 */
org.ametys.web.widget.ContentTagsEditionWidget = function(config) 
{
    org.ametys.web.widget.ContentTagsEditionWidget.superclass.constructor.call(this, config);
}; 

Ext.extend(org.ametys.web.widget.ContentTagsEditionWidget, org.ametys.web.widget.TagsWidget, {
    targetType: 'CONTENT',
    xtype: 'contenttagfield',
    allowCreation: true
});

